Brands
L’objet Brand
Attributs
idstringIdentifiant unique de l'objet (préfixé, opaque).
objectstringbrandnamestringslugstringverticalstringWhat the brand sells: products, software / online services, or a physical establishment.
site_urlstringnullablelogo_urlstringSigned URL, valid 60 minutes.
platformstringnullablelivemodebooleantruepour les données réelles,falsepour le bac à sable du mode test.createdintegerTime at which the object was created (unix timestamp, seconds).
{
"id": "br_034CyfRFSXUqzrbzV6MAfZ",
"object": "brand",
"name": "Nordvelo",
"slug": "nordvelo",
"vertical": "string",
"site_url": "https://nordvelo.fr",
"logo_url": "string",
"platform": "shopify",
"livemode": true,
"created": 1790000000
}Retrieve a brand
GET/v1/brands/{brand}
Paramètres
brandstringobligatoireBrand id (
br_…).
Retour
Renvoie l’objet brand. Lève une erreur en cas de problème.
curl
curl https://api.skoup.ai/v1/brands/br_034CyfRFSXUqzrbzV6MAfZ \
-H "Authorization: Bearer skoup_test_4eC39HqLyjWDarjtT1zdp7dc"{
"id": "br_034CyfRFSXUqzrbzV6MAfZ",
"object": "brand",
"name": "Nordvelo",
"slug": "nordvelo",
"vertical": "string",
"site_url": "https://nordvelo.fr",
"logo_url": "string",
"platform": "shopify",
"livemode": true,
"created": 1790000000
}List brands
GET/v1/brands
The brands of the workspace this key can reach — all of them, or the selection made when the key was created. Test keys see the sandbox brands.
Paramètres
limitintegerNombre d'objets à renvoyer, entre 1 et 100 (20 par défaut).
starting_afterstringCurseur : l'
iddu dernier objet de la page précédente.
Retour
Un dictionnaire dont la propriété data contient jusqu’à limit objets brand, du plus récent au plus ancien, et has_more indique s’il reste une page. Lève une erreur en cas de problème.
curl
curl https://api.skoup.ai/v1/brands?limit=3 \
-H "Authorization: Bearer skoup_test_4eC39HqLyjWDarjtT1zdp7dc"{
"object": "list",
"url": "/v1/brands",
"has_more": false,
"data": [
{
"id": "br_034CyfRFSXUqzrbzV6MAfZ",
"object": "brand",
"name": "Nordvelo",
"slug": "nordvelo",
"vertical": "string",
"site_url": "https://nordvelo.fr",
"logo_url": "string",
"platform": "shopify",
"livemode": true,
"created": 1790000000
}
]
}